Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openxri.xri3.impl
Class XRI3Path

    java.lang.Object
      org.openxri.xri3.impl.XRI3SyntaxComponent
          org.openxri.xri3.impl.XRI3Path

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Comparable, XRIPath, XRISyntaxComponent

    public class XRI3Path

extends XRI3SyntaxComponent
implements XRIPath

See Also:
  Serialized Form

Constructor Summary
`XRI3Path(java.lang.String string)`

Method Summary
`XRISegment` | `getFirstSegment()`
`XRISegment` | `getLastSegment()`
`int` | `getNumSegments()`
`Rule` | `getParserObject()`
`XRISegment` | `getSegment(int i)`
`java.util.List` | `getSegments()`
`boolean` | `startsWith(XRISegment[] segments)`

Methods inherited from class org.openxri.xri3.impl.XRI3SyntaxComponent
`compareTo, equals, hashCode, toIRINormalForm, toString, toURINormalForm`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.openxri.xri3.XRISyntaxComponent
`toIRINormalForm, toURINormalForm`

Methods inherited from interface java.lang.Comparable
`compareTo`

Constructor Detail

### XRI3Path

    public XRI3Path(java.lang.String string)
             throws ParserException

Throws:
  `ParserException`

Method Detail

### getParserObject

    public Rule getParserObject()

  Specified by:
    `getParserObject` in class `XRI3SyntaxComponent`

### getSegments

    public java.util.List getSegments()

  Specified by:
    `getSegments` in interface `XRIPath`

### getNumSegments

    public int getNumSegments()

  Specified by:
    `getNumSegments` in interface `XRIPath`

### getSegment

    public XRISegment getSegment(int i)

  Specified by:
    `getSegment` in interface `XRIPath`

### getFirstSegment

    public XRISegment getFirstSegment()

  Specified by:
    `getFirstSegment` in interface `XRIPath`

### getLastSegment

    public XRISegment getLastSegment()

  Specified by:
    `getLastSegment` in interface `XRIPath`

### startsWith

    public boolean startsWith(XRISegment[] segments)

  Specified by:
    `startsWith` in interface `XRIPath`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2009. All Rights Reserved.